Search RTStream scene index
curl --request POST \
--url https://api.videodb.io/rtstream/{stream_id}/search \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"query": "person walking",
"scene_index_id": "scene-idx-12345",
"result_threshold": 10,
"score_threshold": 0.5,
"dynamic_score_percentage": 20,
"stitch": true,
"filter": [
{}
],
"rerank": false,
"rerank_params": {}
}
'const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: 'person walking',
scene_index_id: 'scene-idx-12345',
result_threshold: 10,
score_threshold: 0.5,
dynamic_score_percentage: 20,
stitch: true,
filter: [{}],
rerank: false,
rerank_params: {}
})
};
fetch('https://api.videodb.io/rtstream/{stream_id}/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
$headers=@{}
$headers.Add("x-access-token", "<api-key>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://api.videodb.io/rtstream/{stream_id}/search' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"query": "person walking",
"scene_index_id": "scene-idx-12345",
"result_threshold": 10,
"score_threshold": 0.5,
"dynamic_score_percentage": 20,
"stitch": true,
"filter": [
{}
],
"rerank": false,
"rerank_params": {}
}'import Foundation
let parameters = [
"query": "person walking",
"scene_index_id": "scene-idx-12345",
"result_threshold": 10,
"score_threshold": 0.5,
"dynamic_score_percentage": 20,
"stitch": true,
"filter": [[]],
"rerank": false,
"rerank_params": []
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.videodb.io/rtstream/{stream_id}/search")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"x-access-token": "<api-key>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/rtstream/{stream_id}/search");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
request.AddJsonBody("{\n \"query\": \"person walking\",\n \"scene_index_id\": \"scene-idx-12345\",\n \"result_threshold\": 10,\n \"score_threshold\": 0.5,\n \"dynamic_score_percentage\": 20,\n \"stitch\": true,\n \"filter\": [\n {}\n ],\n \"rerank\": false,\n \"rerank_params\": {}\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/rtstream/{stream_id}/search");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
request.AddJsonBody("{\n \"query\": \"person walking\",\n \"scene_index_id\": \"scene-idx-12345\",\n \"result_threshold\": 10,\n \"score_threshold\": 0.5,\n \"dynamic_score_percentage\": 20,\n \"stitch\": true,\n \"filter\": [\n {}\n ],\n \"rerank\": false,\n \"rerank_params\": {}\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: 'person walking',
scene_index_id: 'scene-idx-12345',
result_threshold: 10,
score_threshold: 0.5,
dynamic_score_percentage: 20,
stitch: true,
filter: [{}],
rerank: false,
rerank_params: {}
})
};
fetch('https://api.videodb.io/rtstream/{stream_id}/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/rtstream/{stream_id}/search");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"query\": \"person walking\",\n \"scene_index_id\": \"scene-idx-12345\",\n \"result_threshold\": 10,\n \"score_threshold\": 0.5,\n \"dynamic_score_percentage\": 20,\n \"stitch\": true,\n \"filter\": [\n {}\n ],\n \"rerank\": false,\n \"rerank_params\": {}\n}");
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/rtstream/{stream_id}/search");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"query\": \"person walking\",\n \"scene_index_id\": \"scene-idx-12345\",\n \"result_threshold\": 10,\n \"score_threshold\": 0.5,\n \"dynamic_score_percentage\": 20,\n \"stitch\": true,\n \"filter\": [\n {}\n ],\n \"rerank\": false,\n \"rerank_params\": {}\n}");
CURLcode ret = curl_easy_perform(hnd);val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"query\": \"person walking\",\n \"scene_index_id\": \"scene-idx-12345\",\n \"result_threshold\": 10,\n \"score_threshold\": 0.5,\n \"dynamic_score_percentage\": 20,\n \"stitch\": true,\n \"filter\": [\n {}\n ],\n \"rerank\": false,\n \"rerank_params\": {}\n}")
val request = Request.Builder()
.url("https://api.videodb.io/rtstream/{stream_id}/search")
.post(body)
.addHeader("x-access-token", "<api-key>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute(){
"success": true,
"data": {
"results": [
{
"start": 1700000000,
"end": 1700000010,
"text": "matching scene text",
"score": 0.95,
"scene_index_id": "scene-idx-12345"
}
]
}
}Search RTStream
Search indexed content within a real-time stream
POST
/
rtstream
/
{stream_id}
/
search
Search RTStream scene index
for specific content within a real-time stream’s scene index using semantic search.
queryandscene_index_idare requiredresult_thresholdlimits the number of results (default: 10)score_thresholdfilters by minimum relevance score- Enable
rerankfor improved result ordering - Use
stitchto merge adjacent matching segments (default: true)
Create Scene Index
Set up scene indexing first
Event Detection
Build event detection patterns
Authorizations
API key for authentication (sk-xxx format)
Path Parameters
Example:
"rts-12345"
Body
application/json
Example:
"person walking"
Example:
"scene-idx-12345"
Example:
10
Example:
0.5
Example:
20
Example:
true
Example:
false
⌘I